/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui;

import java.util.Enumeration;
import javax.servlet.ServletException;
import com.silverwrist.venice.core.UserContext;

public interface VeniceUISession
{
  public abstract long getCreationTime();

  public abstract String getID();

  public abstract long getLastAccessedTime();

  public abstract void setMaxInactiveInterval(int interval);

  public abstract int getMaxInactiveInterval();

  public abstract Object getAttribute(String name);

  public abstract Enumeration getAttributeNames();

  public abstract void setAttribute(String name, Object o);

  public abstract void removeAttribute(String name);

  public abstract void invalidate();

  public abstract UserContext getUser();

  public abstract void setUser(UserContext user);

  public abstract void preprocess(RequestInput ri) throws ServletException;

} // end class VeniceUISession
